<?php /* Template Name: Front Page */ ?>
<?php
/**
 * The template for displaying all pages
 *
 * TODO REFACTORING HARD
 * MODEL -> VIEW -> SCENE
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package o66FsWp
 */

//$addMe = get_post(8);
//$addMe2 = get_post(12);
//$addMe3 = get_post(15);
$page_root_model = o66TheModel::getTheRootModel();
//$oneSub = o66TheModel::createOneModelFromWpPostObject($addMe);
//$twoSub = o66TheModel::createOneModelFromWpPostObject($addMe2);
//$threeSub = o66TheModel::createOneModelFromWpPostObject($addMe3);
$primaryMenu = o66TheModel::createOneModelFromWpMenu('primary');
o66TheModel::appendOneModelToTheModel($primaryMenu);
$tree = o66TheModel::getTheTreeModelArray();
$flat = o66TheModel::getTheModelFlatArray();
$children = o66TheModel::getTheChildrenArray();
$fields = o66TheModel::getTheModelFieldsArray();

o66TheViewClass::assignModelToView($page_root_model);
//o66TheViewClass::assignModelToView($primaryMenu, 'feat_text');
$view = o66TheViewClass::getView('page_front');
//yo
$view_model = o66TheViewClass::getModelViewArray();
get_header();
echo $view;
get_footer();